Loading...
Searching...
No Matches
stats_ Struct Reference

`#include <stats.h>`

## Data Fields

struct stats_proto | link
struct stats_proto | etharp
struct stats_proto | ip_frag
struct stats_proto | ip
struct stats_proto | icmp
struct stats_igmp | igmp
struct stats_proto | udp
struct stats_proto | tcp
struct stats_mem | mem
struct stats_mem * | memp [MEMP_MAX]
struct stats_sys | sys
struct stats_proto | ip6
struct stats_proto | icmp6
struct stats_proto | ip6_frag
struct stats_igmp | mld6
struct stats_proto | nd6
struct stats_mib2 | mib2

## Detailed Description

lwIP stats container

## Field Documentation

## etharp

struct stats_proto stats_::etharp

ARP

## icmp

struct stats_proto stats_::icmp

ICMP

## icmp6

struct stats_proto stats_::icmp6

ICMP6

## igmp

struct stats_igmp stats_::igmp

IGMP

## ip

struct stats_proto stats_::ip

IP

## ip6

struct stats_proto stats_::ip6

IPv6

## ip6_frag

struct stats_proto stats_::ip6_frag

IPv6 fragmentation

## ip_frag

struct stats_proto stats_::ip_frag

Fragmentation

## link

struct stats_proto stats_::link

Link level

## mem

struct stats_mem stats_::mem

Heap

## memp

struct stats_mem* stats_::memp[MEMP_MAX]

Internal memory pools

## mib2

struct stats_mib2 stats_::mib2

SNMP MIB2

## mld6

struct stats_igmp stats_::mld6

Multicast listener discovery

## nd6

struct stats_proto stats_::nd6

Neighbor discovery

## sys

struct stats_sys stats_::sys

System

## tcp

struct stats_proto stats_::tcp

TCP

## udp

struct stats_proto stats_::udp

UDP

The documentation for this struct was generated from the following file:

- src/include/lwip/stats.h